> For the complete documentation index, see [llms.txt](https://docs.authgear.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.authgear.com/~/changes/anTCj6yoZ06s3pLJk5v8/reference.md).

# Reference

- [APIs](https://docs.authgear.com/~/changes/anTCj6yoZ06s3pLJk5v8/reference/apis.md): Authgear exposes APIs for developers to manage their applications programmatically
- [Admin API](https://docs.authgear.com/~/changes/anTCj6yoZ06s3pLJk5v8/reference/apis/admin-api.md): The Admin API allows your server to manage users via a GraphQL endpoint.
- [Authentication and Security](https://docs.authgear.com/~/changes/anTCj6yoZ06s3pLJk5v8/reference/apis/admin-api/authentication-and-security.md): The Admin API is protected by cryptographic keys. Learn how to generate a valid JWT to authorize your request in this article.
- [API Schema](https://docs.authgear.com/~/changes/anTCj6yoZ06s3pLJk5v8/reference/apis/admin-api/api-schema.md)
- [Admin API Examples](https://docs.authgear.com/~/changes/anTCj6yoZ06s3pLJk5v8/reference/apis/admin-api/api-queries-and-mutations.md): In this section of the Authgear documentation, you'll learn about all the GraphQL queries and mutations the Admin API supports.
- [Using global node IDs](https://docs.authgear.com/~/changes/anTCj6yoZ06s3pLJk5v8/reference/apis/admin-api/node-id.md)
- [Retrieving users using Admin API](https://docs.authgear.com/~/changes/anTCj6yoZ06s3pLJk5v8/reference/apis/admin-api/retrieving-users-using-admin-api.md): Overview and examples for the getUser/getUsers queries
- [User Management Examples](https://docs.authgear.com/~/changes/anTCj6yoZ06s3pLJk5v8/reference/apis/admin-api/api-examples.md): Learn how to perform common actions from the examples
- [Search for users](https://docs.authgear.com/~/changes/anTCj6yoZ06s3pLJk5v8/reference/apis/admin-api/api-examples/search-for-users.md)
- [Update user's standard attributes](https://docs.authgear.com/~/changes/anTCj6yoZ06s3pLJk5v8/reference/apis/admin-api/api-examples/update-users-standard-attributes.md)
- [Update user's picture](https://docs.authgear.com/~/changes/anTCj6yoZ06s3pLJk5v8/reference/apis/admin-api/api-examples/update-users-picture.md)
- [Generate OTP code](https://docs.authgear.com/~/changes/anTCj6yoZ06s3pLJk5v8/reference/apis/admin-api/api-examples/generate-otp-code.md)
- [Authentication Flow API](https://docs.authgear.com/~/changes/anTCj6yoZ06s3pLJk5v8/reference/apis/authentication-flow-api.md): API reference detailing all endpoints, inputs and results supported by the Authentication Flow API.
- [OAuth 2.0 and OpenID Connect (OIDC)](https://docs.authgear.com/~/changes/anTCj6yoZ06s3pLJk5v8/reference/apis/oauth-2.0-and-openid-connect-oidc.md): Reference for configurations and endpoints in the industry-standard protocols OAuth 2.0 or OpenID Connect.
- [UserInfo](https://docs.authgear.com/~/changes/anTCj6yoZ06s3pLJk5v8/reference/apis/oauth-2.0-and-openid-connect-oidc/userinfo.md): Complete list of information in the UserInfo endpoint response.
- [Supported Scopes](https://docs.authgear.com/~/changes/anTCj6yoZ06s3pLJk5v8/reference/apis/oauth-2.0-and-openid-connect-oidc/supported-scopes.md): Details about the OAuth 2.0 Scopes Authgear supports
- [Tokens](https://docs.authgear.com/~/changes/anTCj6yoZ06s3pLJk5v8/reference/tokens.md): Description of what's in Authgear's JWT access token and UserInfo endpoint response.
- [JWT Access Token](https://docs.authgear.com/~/changes/anTCj6yoZ06s3pLJk5v8/reference/tokens/jwt-access-token.md): Claims in JWT Access Token
- [Refresh Token](https://docs.authgear.com/~/changes/anTCj6yoZ06s3pLJk5v8/reference/tokens/refresh-token.md): Learn about refresh token, how to get a refresh token and how to use it to get a new access token.
- [Glossary](https://docs.authgear.com/~/changes/anTCj6yoZ06s3pLJk5v8/reference/glossary.md): Definitions of the most common technical terms you will come across while working with Authgear and implementing user authentication to your application.
- [Billing FAQ](https://docs.authgear.com/~/changes/anTCj6yoZ06s3pLJk5v8/reference/billing-faq.md): Frequently asked questions on how billing works on Authgear
- [Rate Limits](https://docs.authgear.com/~/changes/anTCj6yoZ06s3pLJk5v8/reference/rate-limits.md): Learn about the rate limits for different services and resources.
- [Account Lockout](https://docs.authgear.com/~/changes/anTCj6yoZ06s3pLJk5v8/reference/rate-limits/account-lockout.md): Learn about default way account lockout works, and how to customise lockout limits


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.authgear.com/~/changes/anTCj6yoZ06s3pLJk5v8/reference.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
